#ifndef __MailFileSystem_h__
# define __MailFileSystem_h__

# include "MString.h"
# include <sys/types.h>
# include <sys/stat.h>
# include <unistd.h>

namespace mail {

   class MailFileSystem {

    public:
      MailFileSystem(coreutils::ZString &mailPath);
      bool ifMailBoxExists(coreutils::ZString &mailbox);
      bool ifAliasExists(coreutils::ZString &alias);
      coreutils::MString getMailBoxPath(coreutils::ZString &mailbox);
      std::vector<coreutils::MString> getAliasMailboxes(coreutils::ZString &alias);
      coreutils::ZString& getMailPath();
      coreutils::ZString& getQueuePath();

    private:
      coreutils::ZString &mailPath;
      coreutils::MString queuePath;
      struct stat statbuf;

   };



}

#endif
